Bug 1018352 - Frame behaves erratically
Frame behaves erratically
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: sugar (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Simon Schampijer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-11 14:25 EDT by Eduardo Silva
Modified: 2013-12-13 11:05 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-05 08:57:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eduardo Silva 2013-10-11 14:25:19 EDT
Description of problem:
Most of the times, when moving the cursor to a corner to bring up the frame, it causes the frame to show and then hide itself imediately after.

Version-Release number of selected component (if applicable):
Sugar 0.98.8

How reproducible:
Half of the times. Just try using sugar for 5 minutes.

Steps to Reproduce:
1.Move cursor to corner

Actual results:
The frame shows and then imediately hides itself.

Expected results:
The frame should keep being shown.
Comment 1 Peter Robinson 2013-10-11 16:22:26 EDT
Works fine for me. What hardware are you running it on?
Comment 2 Eduardo Silva 2013-10-14 17:38:38 EDT
I'm running on a a ASUS laptop. The graphic chipset is "Mobile GM965/GL960 Integrated Graphics Controller ".

I see this behavior more when I move the cursor to the corner and continue to move the mouse outwards (to the corner, or to the sides). It almost seems like the corner "toggle" for the frame is being activated twice (show/hide) when doing so.
Comment 3 Eduardo Silva 2013-10-14 17:41:13 EDT
Forgot to mention: This didn't happen when the corner only worked to show the frame, and not as a toggle to show/hide the frame as it is now.
Comment 4 Peter Robinson 2013-10-15 05:19:34 EDT
(In reply to Eduardo Silva from comment #3)
> Forgot to mention: This didn't happen when the corner only worked to show
> the frame, and not as a toggle to show/hide the frame as it is now.

Well I don't see the issue at all when testing and unless you've upgraded just the sugar version without upgrading any of the drivers or OS stack below it there's little evidence that any changes in sugar would have any form of effect on what you're seeing. I suspect it's a driver problem.
Comment 5 Peter Robinson 2013-11-05 08:57:32 EST
I believe this is either a driver or HW problem as it's not generally seen
Comment 6 Eduardo Silva 2013-12-13 11:05:09 EST
I've tried on 2 different laptops, and this problem appears when using the touchpad, but doesn't when using an external mouse. 

I also see this problem with betas of Sugar on a stick (fedora 20 based).
I don't see it in sugar-build.

Note You need to log in before you can comment on or make changes to this bug.